#ifndef __CONTINUOUS_RESTORATION_H__
#define __CONTINUOUS_RESTORATION_H__

#include "potion.h"

class continuous_restoration final: public potion {
        static const int GAIN_HEALTH = 3;
        static const int DURATION = 5;
public:
        continuous_restoration(const position &pos);
        void apply(const enum race &race, int &HP, int &ATK, int &DEF,
                   fraction &base_hit_rate) override;
        int get_priority() const override;
        const char *get_name() const override;
};

#endif
